<?php
/*  jQueryLightBox for DotClear
 *  Copyright (C) 2004-2007 Julien Guille
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

class jQueryLightBox
{

	function isCopyNeeded() {
		return !(@is_dir(DC_SHARE_DIR.'/'.PLUGIN_DIR));
	}

	function copyFiles(&$log) {
		return jQueryLightBox::__rcopy(dirname(__FILE__).'/install', DC_SHARE_DIR, 0, $log);
	}

	# Copie rcursive d'un dossier dans un autre
	function __rcopy($source, $dest, $force, &$log)
	{
		$globalres=true;
		if (is_file($source)) {
		$res= @copy($source, $dest);
		if (!$res) {
			$log .= '<p><img src="images/check_off.png" alt="error" />'.sprintf(__('Could not copy %s to %s'),$file,$dest.'/'.$base).'</p>';
			$globalres=false;
		} else {
			$log .= '<p><img src="images/check_on.png" alt="error" />'.sprintf(__('Successfully copied %s to %s'),$source,$dest).'</p>';
		}
		return $globalres;
		}
		if (!is_dir($dest)) {
			$res=@mkdir($dest);
		@chmod($dest,0777);
		if (!$res) {
			$log .= '<p><img src="images/check_off.png" alt="error" />'.sprintf(__('Could not create dir %s'),$dest).'</p>';
			$globalres=false;
		} else {
			$log .= '<p><img src="images/check_on.png" alt="ok" />'.sprintf(__('Successfully created dir %s'),$dest).'</p>';
		}
		}
		$dir = dir($source);
		while ($base = $dir->read()) {
		if ($base{0} != '.') {
			$file=$source.'/'.$base;
			if (is_dir($file)) {
				@mkdir ($dest.'/'.$base);
				@chmod($dest.'/'.$base,0777);
				$res=jQueryLightBox::__rcopy($file,$dest.'/'.$base,$force,$log);
				if (!$res) {
					$log .= '<p><img src="images/check_off.png" alt="error" /> '.sprintf(__('Could not copy %s to %s'),$file,$dest.'/'.$base).'</p>';
					$globalres=false;
				}
			} else {
				if (@file_exists($dest.'/'.$base) && $force == 0) {
					$log .= '<p><img src="images/check_wrn.png" alt="error" /> '.sprintf(__('File %s alreaydy exists'),$file).'</p>';
				} else {

					$res=@copy($file,$dest.'/'.$base);
					@chmod($dest.'/'.$base,0777);
					if (!$res) {
						$log .= '<p><img src="images/check_off.png" alt="error" /> '.sprintf(__('Could not copy %s to %s'),$file,$dest).'</p>';
						$globalres=false;
					} else {
						$log .= '<p><img src="images/check_on.png" alt="ok" /> '.sprintf(__('Successfully copied %s to %s'),$file,$dest).'</p>';
					}
				}
			}
		}
		}
		$dir->close();
		return $globalres;
	}
}
?>
